# Resource Injection

- [InjectResource](https://docs.susano.re/api-reference/resource-injection/injectresource.md): Queue Lua code for injection into a target resource's VM.
- [StopResource](https://docs.susano.re/api-reference/resource-injection/stopresource.md): Stop the requested resource with the susano resource stopper mechanism.
- [StartResource](https://docs.susano.re/api-reference/resource-injection/startresource.md): Start the requested resource with the susano resource stopper mechanism.
- [GetInjectableResources](https://docs.susano.re/api-reference/resource-injection/getinjectableresources.md): Returns all resource names currently available for code injection.
- [GetResourceFiles](https://docs.susano.re/api-reference/resource-injection/getresourcefiles.md): List all Lua files within a resource by name.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.susano.re/api-reference/resource-injection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
